import { G as GenerateFunction } from './CodeGenerator-C7sYdep5.js';
import 'typescript';
import 'json-schema';

interface Option {
    /** default false */
    sync?: boolean;
    /** default false */
    additionalMethodComment?: boolean;
}

declare const generator$2: GenerateFunction<Option>;

type index$2_Option = Option;
declare namespace index$2 {
  export { type index$2_Option as Option, generator$2 as generator };
}

declare const generator$1: GenerateFunction<Option>;

type index$1_Option = Option;
declare namespace index$1 {
  export { type index$1_Option as Option, generator$1 as generator };
}

declare const generator: GenerateFunction<Option>;

type index_Option = Option;
declare const index_generator: typeof generator;
declare namespace index {
  export { type index_Option as Option, index_generator as generator };
}

export { index$2 as ClassApiClient, index as CurryingFunctionalApiClient, index$1 as FunctionalApiClient };
